package gs.test.v0.execution.engine

import gs.test.v0.definition.TestGroupDefinition
import gs.test.v0.execution.TestExecution
import scala.concurrent.duration.FiniteDuration

final class GroupResult(
  val name: TestGroupDefinition.Name,
  val documentation: Option[String],
  val duration: FiniteDuration,
  val testExecutions: List[TestExecution]
)
