# gs-test

[GS Open Source](https://garrity.co/oss.html) |
[License (MIT)](./LICENSE)

Test framework for Scala 3. Based on
[Cats Effect](https://typelevel.org/cats-effect/) and
[FS2](https://fs2.io/#/).

- [Usage](#usage)
    - [Dependency](#dependency)
- [Donate](#donate)

## Usage

### Dependency

This artifact is available in the Garrity Software Maven repository.

```scala
externalResolvers +=
  "Garrity Software Releases" at "https://maven.garrity.co/gs"

val GsLog: ModuleID =
  "gs" %% "gs-test-core-v0" % "$VERSION"
```

## Donate

Enjoy this project or want to help me achieve my [goals](https://garrity.co)?
Consider [Donating to Pat on Ko-fi](https://ko-fi.com/gspfm).
